Subject: [PWE3] WG Adoption: draft-muley-pwe3-redundancy-00.txt]

From: "Praveen Muley" <[email-masked]>
Date: Thu, 19 Oct 2006 23:30:39 -0700

Luca :
        Regarding your comment on 3.2 section. We are not addressing the
issue of the tunnel failure at all. We are solving the issue where the the
AC between CE-PE goes down or the PE itself going down and its impact on
choice of PW. 
           We also want to distinguish the status between PW operationally
UP and the mode whether its active or standby. Also the status plays role in
sending of OAM message sent to CE and alarm generation.  

Thanks,
PRaveen

-----Original Message-----
From: Luca Martini [mailto:[email-masked]]
Sent: Thursday, October 12, 2006 3:23 PM
To: Danny McPherson
Cc: pwe3 WG ((((((((E-mail))))))))
Subject: Re: [PWE3] WG Adoption: draft-muley-pwe3-redundancy-00.txt]

Danny,

After carefully reading this draft , I fail to see what problem this
document has solved.
In section 3.1 the document describes the case of a multi-homed CE with
single SS-PW redundancy. This topology , does not need any protocol
extensions. In fact this problem has already been successfully resolved in
implementations without any protocol extensions. I believe that the authors
missed the point that a PW can only forward traffic when both directions of
the PW are in a forwarding state. If only one direction is forwarding , then
no traffic can flow in either direction.
Section 3.2 describes the case of multiple multi-homed CEs with single SS-PW
redundancy. What is the purpose of this topology ? The PSN cannot fail as
long as there is enough diversity ( as is shown in figure  2 ).
Why can't the PE just select another PSN tunnel if the  original tunnel
fails ? Since PSN tunnels are uni-directional the PW would not even notice
the event. Again this has already been implemented. I fail to see the
advantage of this protocol extension.

In section 4 , the document treats of a more interesting problem: MS-PW
redundancy applications. Here the topology in a limited subset of the
possible topologies. One cannot assume that there is only a single S-PE
between two T-PE. In fact in most applications the minimum is two S-PEs.
This is a difficult problem to solve. Unfortunately this document leaves  it
for "further study".

I would like to suggest that we concentrate our effort in resolving the more
general problem for MS-PW, which will most likely involve the use of a PCE,
and some kind of ERO.

I believe that the document still needs quite a bit of work concentrating in
section 4 on MS-PWs.

Luca

Danny McPherson wrote:
>
> Folks,
> We'd like to considering moving this document towards WG adoption and 
> progression towards the chartered PW redundancy work.
>
> Comments to chairs/list within next two weeks (by 10/13/2006).
>
> Thanks!
>
> -danny
>
>
> On Sep 27, 2006, at 7:57 AM, Stewart Bryant wrote:
>
>>
>>
>> -------- Original Message --------
>> Subject:     I-D ACTION:draft-muley-pwe3-redundancy-00.txt
>> Date:     Tue, 26 Sep 2006 10:50:01 -0400
>> From:     [email-masked]
>> Reply-To:     [email-masked]
>> To:     [email-masked]
>>
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts 
>> directories.
>>
>>
>>     Title        : Pseudowire (PW) Redundancy     Author(s)    : P.
>> Muley, et al.
>>     Filename    : draft-muley-pwe3-redundancy-00.txt
>>     Pages        : 11
>>     Date        : 2006-9-26
>>     
>> This document describes a few scenarios where PW redundancy is 
>> needed. A set of redundant PWs is configured between PE nodes in
>> SS-   PW applications, or between T-PE nodes in MS-PW applications.
>> In   order for the PE/T-PE nodes to indicate the preferred PW path
>> to   forward to one another, a new status bit is needed to indicate
>> the  preferential forwarding status of active or standby for each PW
>> in   the redundancy set. This draft specifies a new PW status bit for
>> this purpose.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-muley-pwe3-redundancy-00.tx
>> t
>>
>> To remove yourself from the I-D Announcement list, send a message to 
>> [email-masked] with the word unsubscribe in the body 
>> of the message. You can also visit 
>> https://www1.ietf.org/mailman/listinfo/I-D-announce to change your 
>> subscription settings.
>>
>> Internet-Drafts are also available by anonymous FTP. Login with the 
>> username "anonymous" and a password of your e-mail address. After 
>> logging in, type "cd internet-drafts" and then "get 
>> draft-muley-pwe3-redundancy-00.txt".
>>
>> A list of Internet-Drafts directories can be found in 
>> http://www.ietf.org/shadow.html or 
>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>> Internet-Drafts can also be obtained by e-mail.
>>
>> Send a message to:
>>     [email-masked].
>> In the body type:
>>     "FILE /internet-drafts/draft-muley-pwe3-redundancy-00.txt".
>>     
>> NOTE:    The mail server at ietf.org can return the document in
>>     MIME-encoded form by using the "mpack" utility.  To use this
>>     feature, insert the command "ENCODING mime" before the "FILE"
>>     command.  To decode the response(s), you will need "munpack" or
>>     a MIME-compliant mail reader.  Different MIME-compliant mail readers
>>     exhibit different behavior, especially when dealing with
>>     "multipart" MIME messages (i.e. documents which have been split
>>     up into multiple messages), so check your local documentation on
>>     how to manipulate these messages.
>>
>> Below is the data which will enable a MIME compliant mail reader 
>> implementation to automatically retrieve the ASCII version of the 
>> Internet-Draft.
>>
>>
>> Content-Type: text/plain
>> Content-ID: <[email-masked]>
>>
>>
>> _______________________________________________
>> I-D-Announce mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/i-d-announce
>>
>> _______________________________________________
>> pwe3 mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/pwe3
>
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3